com.amazonaws.services.lambda.model

## Class TooManyRequestsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.amazonaws.SdkBaseException
        - - com.amazonaws.AmazonClientException
          - - com.amazonaws.SdkClientException
            - - com.amazonaws.AmazonServiceException
              - - com.amazonaws.services.lambda.model.AWSLambdaException
                - - com.amazonaws.services.lambda.model.TooManyRequestsException

All Implemented Interfaces:
  Serializable

    public class TooManyRequestsException
    extends AWSLambdaException

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.amazonaws.AmazonServiceException

`AmazonServiceException.ErrorType`

### Constructor Summary

Constructors
Constructor and Description
`TooManyRequestsException(String message)` Constructs a new TooManyRequestsException with the specified error message.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getReason()`
`String` `getRetryAfterSeconds()` The number of seconds the caller should wait before retrying.
`String` `getType()`
`void` `setReason(String reason)`
`void` `setReason(ThrottleReason reason)`
`void` `setRetryAfterSeconds(String retryAfterSeconds)` The number of seconds the caller should wait before retrying.
`void` `setType(String type)`
`TooManyRequestsException` `withReason(String reason)`
`TooManyRequestsException` `withReason(ThrottleReason reason)`
`TooManyRequestsException` `withRetryAfterSeconds(String retryAfterSeconds)` The number of seconds the caller should wait before retrying.
`TooManyRequestsException` `withType(String type)`

### Methods inherited from class com.amazonaws.AmazonServiceException

`getErrorCode, getErrorMessage, getErrorType, getHttpHeaders, getMessage, getRawResponse, getRawResponseContent, getRequestId, getServiceName, getStatusCode, setErrorCode, setErrorMessage, setErrorType, setHttpHeaders, setRawResponse, setRawResponseContent, setRequestId, setServiceName, setStatusCode`

### Methods inherited from class com.amazonaws.AmazonClientException

`isRetryable`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TooManyRequestsException

    public TooManyRequestsException(String message)

Constructs a new TooManyRequestsException with the specified error message.

Parameters:
  `message` - Describes the error encountered.

### Method Detail

#### setRetryAfterSeconds

    public void setRetryAfterSeconds(String retryAfterSeconds)

The number of seconds the caller should wait before retrying.

Parameters:
  `retryAfterSeconds` - The number of seconds the caller should wait before retrying.

#### getRetryAfterSeconds

    public String getRetryAfterSeconds()

The number of seconds the caller should wait before retrying.

Returns:
  The number of seconds the caller should wait before retrying.

#### withRetryAfterSeconds

    public TooManyRequestsException withRetryAfterSeconds(String retryAfterSeconds)

The number of seconds the caller should wait before retrying.

Parameters:
  `retryAfterSeconds` - The number of seconds the caller should wait before retrying.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setType

    public void setType(String type)

Parameters:
  `type` -

#### getType

    public String getType()

Returns:

#### withType

    public TooManyRequestsException withType(String type)

Parameters:
  `type` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setReason

    public void setReason(String reason)

Parameters:
  `reason` -
See Also:
  `ThrottleReason`

#### getReason

    public String getReason()

Returns:
See Also:
  `ThrottleReason`

#### withReason

    public TooManyRequestsException withReason(String reason)

Parameters:
  `reason` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ThrottleReason`

#### setReason

    public void setReason(ThrottleReason reason)

Parameters:
  `reason` -
See Also:
  `ThrottleReason`

#### withReason

    public TooManyRequestsException withReason(ThrottleReason reason)

Parameters:
  `reason` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ThrottleReason`